Imperiali Method
   HOME

TheInfoList



OR:

A highest-averages method, also called a divisor method, is a class of methods for allocating seats in a parliament among agents such as
political parties A political party is an organization that coordinates candidates to compete in a particular country's elections. It is common for the members of a party to hold similar ideas about politics, and parties may promote specific ideological or pol ...
or federal states. A divisor method is an iterative method: at each iteration, the number of votes of each party is divided by its ''divisor'', which is a function of the number of seats (initially 0) currently allocated to that party. The next seat is allocated to the party whose resulting ratio is largest.


Definitions

The inputs to a divisor method are the number of seats to allocate, denoted by ''h'', and the vector of parties' entitlements, where the entitlement of party i is denoted by t_i (a number between 0 and 1 determining the fraction of seats to which i is entitled). Assuming all votes are counted, t_i is simply the number of votes received by i, divided by the total number of votes.


Procedural definition

A divisor method is parametrized by a function d(k), mapping each integer k to a real number (usually in the range ,k+1/math>) . The number of seats allocated to party i is denoted by a_i. Initially, a_i is set to 0 for all parties. Then, at each iteration, the next seat is allocated to a party which maximizes the ratio \frac. The method proceeds for ''h'' iterations, until all seats are allocated.


Multiplier definition

An equivalent definition directly gives the outcome of the divisor method as follows. For an election, a quotient is calculated, usually the total number of votes divided by the number of seats to be allocated (the
Hare quota The Hare quota (also known as the simple quota) is a formula used under some forms of proportional representation. In these voting systems the quota is the number of votes that guarantees a candidate, or a party in some cases, captures a seat. Th ...
). Parties are then allocated seats by determining how many quotients they have won, by dividing their vote totals by the quotient. Where a party wins a fraction of a quotient, this can be rounded down or rounded to the nearest whole number. Rounding down is equivalent to using the D'Hondt method, while rounding to the nearest whole number is equivalent to the Sainte-Laguë method. Rounding up is equivalent to using Adams's method. However, because of the rounding, this will not necessarily result in the desired number of seats being filled. In that case, the quotient may be adjusted up or down until the number of seats after rounding is equal to the desired number. The tables used in the D'Hondt or Sainte-Laguë methods can then be viewed as calculating the highest quotient possible to round off to a given number of seats. For example, the quotient which wins the first seat in a D'Hondt calculation is the highest quotient possible to have one party's vote, when rounded down, be greater than 1 quota and thus allocate 1 seat. The quotient for the second round is the highest divisor possible to have a total of 2 seats allocated, and so on. Formally, given the vector of entitlements \mathbf and house-size h, a divisor method can be defined as:
\
where the method of rounding is defined by the divisor function ''d''.


Max-min definition

Every divisor method can be defined using a min-max inequality: a is an allocation for the divisor method with divisor ''d'', if-and-only-if
\max_ t_i/d(a_i+1)\leq \min_ t_i/d(a_i).
Every number in the range max_ t_i/d(a_i+1)~,~ \min_ t_i/d(a_i)/math> is a possible divisor. If the range is not a singleton (that is, the inequality is strict), then the solution is unique; otherwise (the inequality is an equality), there are multiple solutions.


Specific divisor methods

The methods have different properties, as explained in the following.


Imperiali method

The Imperiali highest average method (not to be confused with the Imperiali quota which is a Largest remainder method) has divisors 1, 1.5, 2, 2.5, 3, 3.5 etc., or equivalently 2, 3, 4, 5, etc., corresponding to a divisor function d(k) = k+2. It is designed to disfavor the smallest parties, akin to a "cutoff", and is used only in Belgian municipal elections. This method (unlike other listed methods) is not strictly proportional: if a perfectly proportional allocation exists, it is not guaranteed to find it.


D'Hondt method

The most widely used divisor sequence is 1, 2, 3, 4, etc., corresponding to the divisor function d(k) = k+1. It is called the D'Hondt formula. This system tends to give larger parties a slightly larger portion of seats than their portion of the electorate, and thus guarantees that a party with a majority of voters will get at least half of the seats.


Webster/Sainte-Laguë method

The Webster/Sainte-Laguë method divides the number of votes for each party by the odd numbers (1, 3, 5, 7 etc.), or equivalently by 0.5, 1.5, 2.5, 3.5 etc. It corresponds to a divisor function d(k) = k+0.5. It is sometimes considered more proportional than D'Hondt in terms of a comparison between a party's share of the total vote and its share of the seat allocation though it can lead to a party with a majority of votes winning fewer than half the seats. This system is more favourable to smaller parties than D'Hondt's method, and thus it encourages splits. The Webster/Sainte-Laguë method is sometimes modified by increasing the first divisor from 1 to e.g. 1.4, to discourage very small parties gaining their first seat "too cheaply".


Huntington–Hill method

In the Huntington–Hill method, the divisor function is d(k) = \sqrt, which makes sense only if every party is guaranteed at least one seat: this effect can be achieved by disqualifying parties receiving fewer votes than a specified number of votes, be it a percentage threshold or a quota such as
Hare Hares and jackrabbits are mammals belonging to the genus ''Lepus''. They are herbivores, and live solitarily or in pairs. They nest in slight depressions called forms, and their young are able to fend for themselves shortly after birth. The ge ...
, Droop, or Imperiali. This method is used for allotting seats in the US House of Representatives among the states. Because squaring does not change the order of the computed ratios, the square root involved in comparing \frac values can be avoided by instead comparing \frac values.


Danish method

The Danish method is used in Danish elections to allocate each party's compensatory seats (or levelling seats) at the electoral province level to individual multi-member constituencies. It divides the number of votes received by a party in a multi-member constituency by the divisors growing by step equal to 3 (1, 4, 7, 10, etc.). Alternatively, dividing the votes numbers by 0.33, 1.33, 2.33, 3.33 etc. yields the same result. The divisor function is d(k) = k+1/3. This system purposely attempts to allocate seats equally rather than proportionately.


Adams's method

Adams's method was conceived by John Quincy Adams for apportioning seats of the
House A house is a single-unit residential building. It may range in complexity from a rudimentary hut to a complex structure of wood, masonry, concrete or other material, outfitted with plumbing, electrical, and heating, ventilation, and air condi ...
to states. He perceived Jefferson's method to allocate too few seats to smaller states. It can be described as the inverse of Jefferson's method; it awards a seat to the party that has the most votes per seat before the seat is added. The divisor function is d(k) = k. Like the Huntington-Hill method, this results in a value of 0 for the first seats to be appointed for each party, resulting in an average of ∞. It can only violate the lower quota rule. This occurs in the example below. Without a threshold, all parties that have received at least one vote, also receive a seat, with the obvious exception of cases where there are more parties than seats. This property can be desirable, for example when apportioning seats to electoral districts. As long as there are at least as many seats as districts, all districts are represented. In a party-list proportional representation election, it may result in very small parties receiving seats. Furthermore, quota rule violations in the pure Adams's method are very common. These problems may be solved by introducing an electoral threshold.


Comparative example

In the following example, the total vote is 100,000. There are 10 seats. The number at each cell in the "pink" table denotes the number of votes divided by the corresponding divisor d(k). For example, for D'Hondt's method, in the row k=0, the numbers are just the parties' votes (divided by k+1=1). In the row k=1, the numbers are the votes divided by 2. For the Saint-Lague method, in the row k=1, the numbers are the votes divided by 3 (the second element in the sequence of divisors), and so on. As can be seen in the example, D'Hondt, Sainte-Laguë and Huntington-Hill allow different strategies by parties looking to maximize their seat allocation. D'Hondt and Huntington–Hill can favor the merging of parties, while Sainte-Laguë can favor splitting parties (modified Saint-Laguë reduces the splitting advantage). In these examples, under D'Hondt and Huntington–Hill the Yellows and Greens combined would gain an additional seat if they merged, while under Sainte-Laguë the Yellows would gain if they split into six lists with about 7,833 votes each.


Properties

All divisor methods satisfy the basic properties of anonymity, balance, concordance, exactness and completeness. All the divisor methods satisfy '' house monotonicity''. This means that, when the number of seats in the parliament increases, no party loses a seat. This is evident from the iterative description of the methods: when a seat is added, the initial process remains the same, it just proceeds to an additional iteration. In other words, divisor methods avoid the Alabama paradox. Moreover, all divisor methods satisfy ''pairwise population monotonicity''. This means that, if the number of votes of one party increases in a faster rate than the number of votes of another party, then it does not happen that the first party loses seats while the second party gains seats. Moreover, the divisor methods are provably the only methods satisfying this form of monotonicity. In other words, divisor methods are the only ones avoiding the population paradox. On the negative side, divisor methods might violate the '' quota rule'': they might give some agents less than their ''lower quota'' (quota rounded down) or more than their ''upper quota'' (quota rounded up). This can be fixed by using quota-''capped divisor methods'' (see below). Simulation experiments show that different divisor methods have greatly different probabilities of violating quota (when the number of votes is selected by an exponential distribution): * The probability for Adams and D'Hondt is 98%; * The probability for D'Hondt with a minimum requirement of 1 is 78%; * The probability for Dean is about 9%, and for Huntington-Hill about 4%; * The probability for Webster/Sainte-Laguë is the smallest - only 0.16%. A divisor method is called stationary if its divisor is of the form d(k) = k+r for some real number r\in ,1/math>. The methods of Adams, Webster and DHondt are stationary, while those of Dean and Huntington-Hill are not.


Quota-capped divisor method

A ''quota-capped divisor method'' is an apportionment method in which the next seat is allocated only to a party from a set of ''eligible parties''. Eligible parties should satisfy two conditions: * Their current allocation is smaller than their upper quota (where the quota is computed based on the total number of seats including the next one). * Giving them an additional seat would not deprive other states of their lower quota. Formally, in each iteration h (corresponding to allocating the h-th seat), the following sets are computed (see mathematics of apportionment for the definitions and notation): * U(\mathbf,\mathbf) is the set of parties that can get an additional seat without violating their upper quota, that is, a_i < \lceil t_i \cdot h \rceil. * L(\mathbf,\mathbf) is the set of parties whose number of seats might be below their lower quota in some future iteration, that is, a_i < \lfloor t_i \cdot (h+z) \rfloor for the smallest integer z for which \sum_i \lfloor t_i \cdot (h+z) \rfloor \geq h-1+z. If there is no such z then L(\mathbf,\mathbf) contains all states. The h-th seat is given to a party i\in U(\mathbf,\mathbf)\cap L(\mathbf,\mathbf) for which the ratio \frac is largest. The '' Balinsky- Young quota method'' is the quota-capped variant of the D'Hondt method (also called: Quota-Jefferson). Similarly, one can define the Quota-Webster, Quota-Adams, etc. Every quota-capped divisor method satisfies house-monotonicity. If eligibility is based on quotas as above, then the quota-capped divisor method satisfies upper quota by definition, and it can be proved that it satisfies lower quota as well. However, quota-capped divisor methods might violate a property of population monotonicity: it is possible that some party ''i'' wins more votes, while all other parties win the same number of votes, but party ''i'' loses a seat. This could happen when, due to party ''i'' getting more votes, the upper quota of some other party ''j'' decreases. Therefore, party ''j'' is not eligible to a seat in the current iteration, and some third party receives the next seat. But then, at the next iteration, party ''j'' is again eligible to a seat, and it beats party ''i''. There are similar examples for all quota-capped divisor methods.


Rank-index methods

A rank-index methods is a generalization of a divisor method. Another term is a Huntington method, since it generalizes an idea by Edward Vermilye Huntington.


Input and output

Like all apportionment methods, the inputs of any rank-index method are: * A positive integer h representing the total number of items to allocate. It is also called the ''house size'', since in many cases, the items to allocate are seats in a house of representatives. * A positive integer n representing the number of ''agents'' to which items should be allocated. For example, these can be federal states or
political parties A political party is an organization that coordinates candidates to compete in a particular country's elections. It is common for the members of a party to hold similar ideas about politics, and parties may promote specific ideological or pol ...
. * A vector of fractions (t_1,\ldots,t_n) with \sum_^n t_i = 1, representing ''entitlements'' - t_i represents the entitlement of agent i, that is, the fraction of items to which i is entitled (out of the total of h). Its output is a vector of integers a_1,\ldots,a_n with \sum_^n a_i = h, called an apportionment of h, where a_i is the number of items allocated to agent ''i''.


Iterative procedure

Every rank-index method is parametrized by a ''rank-index function'' r(t,a), which is increasing in the entitlement ''t'' and decreasing in the current allocation a. The apportionment is computed iteratively as follows: * Initially, set a_i to 0 for all parties. * At each iteration, allocate one item to an agent for whom r(t_i,a_i) is maximum (break ties arbitrarily). * Stop after h iterations. Divisor methods are a special case of rank-index methods: a divisor method with divisor function d(a) is equivalent to a rank-index method with rank-index function r(t,a) = t/d(a).


Min-max formulation

Every rank-index method can be defined using a min-max inequality: a is an allocation for the rank-index method with function ''r'', if-and-only-if:
\min_ r(t_i, a_i-1) \geq \max_ r(t_i, a_i).


Properties

Every rank-index method is ''house-monotone''. This means that, when h increases, the allocation of each agent weakly increases. This immediately follows from the iterative procedure. Every rank-index method is ''uniform''. This means that, we take some subset of the agents 1,\ldots,k, and apply the same method to their combined allocation h_k = a_1+\cdots+a_k, then the result is exactly the vector (a_1,\ldots,a_k). In other words: every part of a fair allocation is fair too. This immediately follows from the min-max inequality. Moreover: * Every apportionment method that is ''uniform'', ''symmetric'' and '' balanced'' must be a rank-index method. * Every apportionment method that is ''uniform'', ''house-monotone'' and '' balanced'' must be a rank-index method.


Notes


References

{{voting systems Party-list proportional representation Apportionment methods